Bug 17585 - Add the Koha::Patron->account method
Summary: Add the Koha::Patron->account method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 17580 17583
Blocks: 17586 18987
  Show dependency treegraph
 
Reported: 2016-11-08 15:32 UTC by Jonathan Druart
Modified: 2018-06-04 20:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17585: Add the Koha::Patron->get_account_lines method (2.20 KB, patch)
2016-11-08 15:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17585: Add the Koha::Patron->get_account_lines method (2.35 KB, patch)
2016-11-08 15:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17585: Add the Koha::Patron->get_account_lines method (2.35 KB, patch)
2016-12-02 08:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17585: Add the Koha::Patron->get_account_lines method (2.42 KB, patch)
2016-12-02 09:09 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17585: Add the Koha::Patron->get_account_lines method (2.46 KB, patch)
2016-12-02 15:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17585: Add the Koha::Patron->get_account_lines method (2.46 KB, patch)
2016-12-06 08:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17586: Replace ->get_account_lines with ->account (2.43 KB, patch)
2016-12-06 08:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17585: Replace ->get_account_lines with ->account (2.38 KB, patch)
2016-12-06 08:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-08 15:32:33 UTC

    
Comment 1 Jonathan Druart 2016-11-08 15:48:51 UTC
Created attachment 57335 [details] [review]
Bug 17585: Add the Koha::Patron->get_account_lines method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green
Comment 2 Jonathan Druart 2016-11-08 15:51:08 UTC
Created attachment 57336 [details] [review]
Bug 17585: Add the Koha::Patron->get_account_lines method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green
Comment 3 Josef Moravec 2016-11-16 08:12:10 UTC
This patch looks like based on top of 17580... should we make it dependency, or is it better to rebase, what do you think?
Comment 4 Jonathan Druart 2016-11-16 09:31:25 UTC
(In reply to Josef Moravec from comment #3)
> This patch looks like based on top of 17580... should we make it dependency,
> or is it better to rebase, what do you think?

Yes indeed, it depends on bug 17580, but it will conflict with bug 17583, we need some of them to be pushed to rebase them.
Comment 5 Josef Moravec 2016-11-16 10:15:18 UTC
(In reply to Jonathan Druart from comment #4)
> (In reply to Josef Moravec from comment #3)
> > This patch looks like based on top of 17580... should we make it dependency,
> > or is it better to rebase, what do you think?
> 
> Yes indeed, it depends on bug 17580, but it will conflict with bug 17583, we
> need some of them to be pushed to rebase them.

Totally agree, we need to go out of this dependency hell ;)
Comment 6 Jonathan Druart 2016-12-02 08:40:16 UTC
Created attachment 57899 [details] [review]
Bug 17585: Add the Koha::Patron->get_account_lines method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green
Comment 7 Jonathan Druart 2016-12-02 08:40:56 UTC
To test, apply bug 17580 first, then bug 17583
Comment 8 Josef Moravec 2016-12-02 09:09:15 UTC
Created attachment 57902 [details] [review]
[SIGNED-OFF] Bug 17585: Add the Koha::Patron->get_account_lines method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Tomás Cohen Arazi 2016-12-02 15:46:46 UTC
Created attachment 57930 [details] [review]
Bug 17585: Add the Koha::Patron->get_account_lines method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Jonathan Druart 2016-12-06 08:03:10 UTC
Created attachment 57987 [details] [review]
Bug 17585: Add the Koha::Patron->get_account_lines method

Test plan:
  prove t/db_dependent/Koha/Patrons.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 11 Jonathan Druart 2016-12-06 08:03:14 UTC
Created attachment 57988 [details] [review]
Bug 17586: Replace ->get_account_lines with ->account

And return a Koha::Account instead of a Koha::Account::Lines
Comment 12 Jonathan Druart 2016-12-06 08:04:02 UTC
Created attachment 57989 [details] [review]
Bug 17585: Replace ->get_account_lines with ->account

And return a Koha::Account instead of a Koha::Account::Lines
Comment 13 Jonathan Druart 2016-12-06 08:04:51 UTC
(In reply to Jonathan Druart from comment #12)
> Created attachment 57989 [details] [review] [review]
> Bug 17585: Replace ->get_account_lines with ->account
> 
> And return a Koha::Account instead of a Koha::Account::Lines

See bug 17586 comment 8
Comment 14 Kyle M Hall 2016-12-16 14:48:41 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 15 Katrin Fischer 2016-12-18 20:53:12 UTC
This won't get ported back to 16.11.x as it is an enhancement.